---
updatedAt: 2025-10-16T18:05:43.000Z
agentTools:
  projectIndex: https://developers.bitlaunch.io/llms.txt
---

# View Account

Returns the information related to your Account.

## Response

This will return an [Account Object](https://developers.bitlaunch.io/reference/account-1).

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "bitlaunch-api",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://app.bitlaunch.io/api/"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "Authorization",
        "x-bearer-format": "bearer"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/user": {
      "get": {
        "summary": "View Account",
        "description": "Returns the information related to your Account.",
        "operationId": "view-account-1",
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"id\": \"999999999999999999999999\",\n  \"email\": \"bitlaunchuser@email.com\",\n  \"emailConfirmed\": true,\n  \"created\": \"2019-09-07T09:50:50.000Z\",\n  \"used\": 1,\n  \"limit\": 5,\n  \"twofa\": false,\n  \"balance\": 30000,\n  \"costPerHr\": 21,\n  \"billingAlert\": 5,\n  \"negativeAllowance\": 0\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "id": {
                      "type": "string",
                      "example": "999999999999999999999999"
                    },
                    "email": {
                      "type": "string",
                      "example": "bitlaunchuser@email.com"
                    },
                    "emailConfirmed": {
                      "type": "boolean",
                      "example": true,
                      "default": true
                    },
                    "created": {
                      "type": "string",
                      "example": "2019-09-07T09:50:50.000Z"
                    },
                    "used": {
                      "type": "integer",
                      "example": 1,
                      "default": 0
                    },
                    "limit": {
                      "type": "integer",
                      "example": 5,
                      "default": 0
                    },
                    "twofa": {
                      "type": "boolean",
                      "example": false,
                      "default": true
                    },
                    "balance": {
                      "type": "integer",
                      "example": 30000,
                      "default": 0
                    },
                    "costPerHr": {
                      "type": "integer",
                      "example": 21,
                      "default": 0
                    },
                    "billingAlert": {
                      "type": "integer",
                      "example": 5,
                      "default": 0
                    },
                    "negativeAllowance": {
                      "type": "integer",
                      "example": 0,
                      "default": 0
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl 'https://app.bitlaunch.io/api/user' -H 'Authorization: Bearer API_KEY'"
            },
            {
              "language": "text",
              "code": "blcli account",
              "name": "CLI"
            },
            {
              "language": "go",
              "code": "c := gobitlaunch.NewClient(token)\n\naccount, err := c.Account.Show()\nif err != nil {\n    // handle error\n}\n\n// use account"
            },
            {
              "language": "python",
              "code": "c = pybitlaunch.Client(token)\n\naccount = c.Account.Show()\nif account is not None:\n    # use account"
            }
          ],
          "samples-languages": [
            "curl",
            "text",
            "go",
            "python"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": false,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```